### Method

# Gimp PDB run_procedure_argv

#### Declaration [src]

    GimpValueArray*
    gimp_pdb_run_procedure_argv (
      GimpPDB* pdb,
      const gchar* procedure_name,
      const GValue* arguments,
      gint n_arguments
    )

#### Description [src]

Runs the procedure named `procedure_name` with `arguments`.

Available since: | 3.0
This method is renamed to `gimp_pdb_run_procedure()` in language bindings

#### Parameters

`procedure_name` | `const gchar*`
| The registered name to call.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`arguments` | An array of `GValue`
| The call arguments or `NULL`.
| The argument can be `NULL`.
| The length of the array is specified in the `n_arguments` argument.
| The data is owned by the caller of the function.
`n_arguments` | `gint`
| The number of arguments.

#### Return value

Returns: | `GimpValueArray`
| The return values for the procedure call.
| The caller of the method takes ownership of the data, and is responsible for freeing it.